Subject: summary on IR-spectra from G98 outputs

From: "Olga Dmitrenko" <[email-masked]>
Date: Thu, 19 Sep 2002 12:18:34 -0400

Dear CCLers,

I would like to thank again Atte Sillanpaa ,
Roma E. Oakes, Laurence Cuffe and Jens Spanget-Larsen  for their
responses to my question.  My best wishes to you.

Yes, I agree with David Anick, that the answers have to be summarized, since
it is quite general technical question that may be of interest for g98 users
who do IR spectra calcs routinely.

Here is the question again and, below, I've prepared a summary.

                          Does anyone know the most time-economic way to
convert frequency/intensity
                          data from the g98 output file into 2-column data
set for the IR-spectrum picture?
                          Maybe some script exists for getting two columns:
X=freqs and Y=IR Inten?

1) Roma E. Oakes:
Roma E. Oakes
Postgraduate Student
School of Chemistry
The Queen's University of Belfast
David Keir Building
Stranmillis Rd
Belfast BT9 5AG
Tel: (+)44 (0)28 91821021
Email: [email-masked]
Home Page - http://home.btconnect.com/reoakes

Roma E. Oakes has written a series of macros to tackle this, they work in
excel and
although you still have to press a few keys and manually change one number
in the macro itself - they do save a huge amount of time. The good thing
about them is that they will work for any molecule size

2) from  Laurence Cuffe <[email-masked]>

Laurence Cuffe is using Excel in the way described below:

You may well be doing this already but this is what I do and it
takes me about 5 minuets per file assuming the log file is called
Job1.log
grep Frequencies Job1.log > Job1F.txt
grep Inten Job1.log >> Job1F.txt
This gives me a text file Job1F.txt with the both the intensity and
frequency data from Job1.log in it.
import Job1F.txt into excell using the space character as your
column separator
cut at the start of the intensities section and paste the intensity
information along side the frequency information
I then insert a row at the top and label the data as
CF1 CF2 CF3 CI1 CI2 CI3
I now have three columns of frequencies and three columns of
intensities, appropriately labelled.  I then use insert column to
insert a column along side each of the frequency columns then cut
and paste the intensity columns along side the corresponding
frequency column.
I then cut and paste the CF2 CI2 pair of columns onto the bottom
of the CF1 CI1 pair and do the same for CF3 and CI3 (The column
labels were just to keep track of where everything goes in this
exercise)
And then finally select both columns and do a data sort on
frequency to get them all in order again.
If you molecules were all the same size you could record a macro
for this, but that's unlikely to be the case.

3) from JENS SPANGET-LARSEN :
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
JENS SPANGET-LARSEN         Office:         +45 4674 2710
Department of Chemistry     Fax:            +45 4674 3011
Roskilde University (RUC)   Mobile:         +45 2320 6246
P.O.Box 260                 E-Mail:        [email-masked]
DK-4000 Roskilde, Denmark   http://virgil.ruc.dk/~spanget
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Jens Spanget-Larsen uses a small home-made BASIC program for this purpose.
It reads the HyperChem script-file FREQCHK.SCR produced by the Gaussian
utility
FreqChk.exe (part of the Gaussian package) and creates two new files:
one file with the X,Y-data you are looking for, and another file with
data points for a Lorentz line plot.

1)  Atte Sillanpaa

 [email-masked]  +358 (0)8 553 1681 (work), KE 368
 Dept. of Physical Chemistry +358 (0)40 592 7369 (gsm)
 Po-BOX 3000
 FIN-90014 University of Oulu
 FINLAND
                  |   Entropy requires no maintenance.   |

Atte Sillanpaa wrote a very simple fortran program that reads
in the lines containing the frequency and intensity, and then prints
them in another file side by side.